Bug 2141740

Summary: Review Request: java-latest-openjdk-portable - reusable OpenJDK STS tarball
Product: [Fedora] Fedora Reporter: Petra Alice Mikova <pmikova>
Component: Package ReviewAssignee: jiri vanek <jvanek>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jvanek, package-review
Target Milestone: ---Flags: jvanek: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-11-25 17:06:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Petra Alice Mikova 2022-11-10 16:47:08 UTC
Spec URL: https://pmikova.fedorapeople.org/java-latest-openjdk-portable/java-latest-openjdk-portable.spec
SRPM URL: https://pmikova.fedorapeople.org/java-latest-openjdk-portable/java-latest-openjdk-portable-19.0.1.0.10-2.fc38.src.rpm
Description: package to split OpenJDK integration from build and binary itself.
Fedora Account System Username: pmikova

More changes are coming, this is the first version to keep track of the packaging.

Comment 1 Petra Alice Mikova 2022-12-02 09:12:00 UTC
Spec URL: https://pmikova.fedorapeople.org/java-latest-openjdk-portable/v2/java-latest-openjdk-portable.spec
SRPM URL: https://pmikova.fedorapeople.org/java-latest-openjdk-portable/v2/java-latest-openjdk-portable-19.0.1.0.10-2.rolling.fc38.src.rpm
Description: package to split OpenJDK integration from build and binary itself.
Fedora Account System Username: pmikova

Comment 2 jiri vanek 2022-12-05 12:22:59 UTC
Please adsjust description:
Description: portable, reusable tarballs of OpenJDK

Comment 3 jiri vanek 2022-12-05 12:45:51 UTC
Please provide repository, with branch, where proper commit history from latest/rawhide wil be persisted, and where willbe at least two added commits - rename of specfile java-latest-openjdk to java-latest-openjdk-portable, and then al the structural changes. At least small sppliting of second commit would be nice. Maybe you can cherrypick my commits?

Comment 4 jiri vanek 2022-12-05 12:57:10 UTC
The comment of "# portable jdk 17 specific bug, _jvmdir being missing" is actually bad.  Shoudl be same as in 17 portable, or Should be jsut # portable jdk el7 bug, _jvmdir being missing on el7
pls add empty line to line between 760 a and 761, or 17 should remove 756. I woudl veote for adding the line.

Do you pleae have scratch build around? I was sneaking tasks in koji, and missed that.

Comment 5 jiri vanek 2022-12-05 14:58:49 UTC
Oherwise checking of freshly built scratch on allarches looks good. Running review over night. Sorry for delay, the session I run at Sunday died.

Comment 6 jiri vanek 2022-12-06 21:04:28 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[-]: Package contains no static executables.
     As approved: https://fedoraproject.org/wiki/Changes/JdkInTreeLibsAndStdclibStatic
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated", "GNU Affero
     General Public License v3.0 or later", "*No copyright* GNU General
     Public License, Version 2 Apache License 2.0", "*No copyright* GNU
     General Public License, Version 2", "GNU General Public License,
     Version 2", "GNU General Public License v2.0 only", "GNU General
     Public License v2.0 or later GNU General Public License v2.0 only
     [generated file]", "GNU General Public License v2.0 or later GNU
     General Public License v2.0 only", "Unicode License Agreement - Data
     Files and Software (2016)", "*No copyright* BSD 3-Clause License",
     "*No copyright* GNU General Public License v2.0 only", "*No copyright*
     [generated file]", "BSD 3-Clause License", "Universal Permissive
     License v1.0", "GNU General Public License v2.0 only [generated
     file]", "Cryptix Public License", "BSD 2-Clause License", "*No
     copyright* Mozilla Public License 2.0", "zlib License", "Freetype
     Project License", "MIT License", "MIT (old) ISC License", "MIT Open
     Group variant", "Apache License 2.0", "W3C Software Notice and License
     (2002-12-31) W3C Software Notice and License (1998-07-20)", "Standard
     ML of New Jersey License", "Apache License 1.1", "BSD 3-Clause License
     Apache License 2.0", "BSD 2-Clause License GNU General Public License
     v2.0 only", "*No copyright* Public domain GNU General Public License
     v2.0 only", "*No copyright* Public domain GNU General Public License
     v2.0 only [generated file]", "MIT (old)", "ISC License", "MIT License
     GNU General Public License v2.0 only", "GNU General Public License,
     Version 3", "BSD 3-Clause License GNU General Public License v2.0
     only", "zlib License GNU General Public License v2.0 only", "*No
     copyright* MIT License GNU General Public License v2.0 only", "libpng
     License GNU General Public License v2.0 only", "MIT Open Group variant
     GNU General Public License v2.0 only", "BSD 3-Clause License GNU
     General Public License v3.0 or later", "Public domain GNU General
     Public License v2.0 only", "Unicode License Agreement - Data Files and
     Software (2015) GNU General Public License v2.0 only", "Freetype
     Project License [generated file]", "W3C License GNU General Public
     License v2.0 only", "Khronos License GNU General Public License v2.0
     only", "Apache License 1.1 GNU General Public License v2.0 only", "W3C
     Software Notice and License (1998-07-20)", "*No copyright* Apache
     License 2.0", "Freetype Project License XFree86 License", "NTP
     License", "W3C License", "*No copyright* Public domain". 7729 files
     have unknown license. Detailed output of licensecheck in
     /home/jvanek/2141740-java-latest-openjdk-portable/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/jvm
[x]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
     Note: Especially check following dirs for bundled code:
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/java.xml/share/classes/org/xml/sax/ext,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/java.base/windows/native/include,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/test/hotspot/jtreg/runtime/cds/appcds/jigsaw/classpathtests/src/sun/nio/cs/ext,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/java.naming/share/classes/com/sun/jndi/ldap/ext,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/jdk.internal.ed/share/classes/jdk/internal/editor/external,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/hotspot/os/posix/include,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/jdk.jdwp.agent/share/native/include,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/hotspot/os/windows/include,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/hotspot/share/include,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/jdk.localedata/share/classes/sun/util/resources/ext,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/java.desktop/share/native/include,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/java.desktop/macosx/native/include,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/test/jaxp/javax/xml/jaxp/libs,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/java.desktop/unix/native/include,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/jdk.localedata/share/classes/sun/text/resources/ext,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/java.base/share/classes/sun/net/ext,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/java.base/share/native/include,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/test/jdk/sun/net/ext,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/jdk.accessibility/windows/native/include,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/jdk.charsets/share/classes/sun/nio/cs/ext,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/java.base/unix/native/include,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/java.desktop/windows/native/include,
     /home/jvanek/2141740-java-latest-openjdk-portable/upstream-
     unpacked/Source0/openjdk/src/java.desktop/share/native/libfreetype/include
  As approved: https://fedoraproject.org/wiki/Changes/JdkInTreeLibsAndStdclibStatic
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
    This is tarball with  binary, debuginfo will be handled in wrapping rpms
[-]: Package is not known to require an ExcludeArch tag.
   Mandatory java_arches
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Uses parallel make %{?_smp_mflags} macro.
 - honored as much as jdk build allows
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in java-
     latest-openjdk-portable-slowdebug , java-latest-openjdk-portable-
     fastdebug , java-latest-openjdk-portable-devel , java-latest-openjdk-
     portable-devel-slowdebug , java-latest-openjdk-portable-devel-
     fastdebug , java-latest-openjdk-portable-static-libs , java-latest-
     openjdk-portable-static-libs-slowdebug , java-latest-openjdk-portable-
     static-libs-fastdebug
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[ -: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define rhel %{nil}, %define
     _jvmdir /usr/lib/jvm, %define debug_package %{nil}, %define
     __os_install_post %{nil}, %define __brp_strip_static_archive %{nil},
     %define _lto_cflags %{nil}, %define is_release_build() %( if [ "%{?1}"
     == "%{debug_suffix_unquoted}" -o "%{?1}" ==
     "%{fastdebug_suffix_unquoted}" ]; then echo "0" ; else echo "1"; fi ),
     %define buildoutputdir() %{expand:build/jdk%{featurever}.build%{?1}},
     %define uniquejavadocdir() %{expand:%{fullversion}.%{_arch}%{?1}},
     %define uniquesuffix() %{expand:%{fullversion}.%{_arch}%{?1}}, %define
     jreportablenameimpl() %(echo %{uniquesuffix ""} | sed
     "s;el7\\(_[0-9]\\)*;portable%{1}.jre.;g" | sed
     "s;openjdkportable;el;g"), %define jdkportablenameimpl() %(echo
     %{uniquesuffix ""} | sed "s;el7\\(_[0-9]\\)*;portable%{1}.jdk.;g" |
     sed "s;openjdkportable;el;g"), %define staticlibsportablenameimpl()
     %(echo %{uniquesuffix ""} | sed
     "s;el7\\(_[0-9]\\)*;portable%{1}.static-libs.;g" | sed
     "s;openjdkportable;el;g"), %define jreportablenameimpl() %(echo
     %{uniquesuffix ""} | sed "s;fc\\([0-9]\\)*;\\0.portable%{1}.jre;g" |
     sed "s;openjdkportable;el;g"), %define jdkportablenameimpl() %(echo
     %{uniquesuffix ""} | sed "s;fc\\([0-9]\\)*;\\0.portable%{1}.jdk;g" |
     sed "s;openjdkportable;el;g"), %define staticlibsportablenameimpl()
     %(echo %{uniquesuffix ""} | sed
     "s;fc\\([0-9]\\)*;\\0.portable%{1}.static-libs;g" | sed
     "s;openjdkportable;el;g"), %define jreportablearchive()
     %{expand:%{jreportablenameimpl -- %%{1}}.tar.xz}, %define
     jdkportablearchive() %{expand:%{jdkportablenameimpl -- %%{1}}.tar.xz},
     %define staticlibsportablearchive()
     %{expand:%{staticlibsportablenameimpl -- %%{1}}.tar.xz}, %define
     jreportablename() %{expand:%{jreportablenameimpl -- %%{1}}}, %define
     jdkportablename() %{expand:%{jdkportablenameimpl -- %%{1}}}, %define
     staticlibsportablename() %{expand:%{jdkportablenameimpl -- %%{1}}},
     %define etcjavadir() %{expand:%{etcjavasubdir}/%{uniquesuffix --
     %{?1}}}, %define sdkdir() %{expand:%{uniquesuffix -- %{?1}}}, %define
     jrelnk()
     %{expand:jre-%{javaver}-%{origin}-%{version}-%{release}.%{_arch}%{?1}},
     %define sdkbindir() %{expand:%{_jvmdir}/%{sdkdir -- %{?1}}/bin},
     %define jrebindir() %{expand:%{_jvmdir}/%{sdkdir -- %{?1}}/bin},
     %define java_rpo() %{expand:, %define java_devel_rpo() %{expand:,
     %define java_static_libs_rpo() %{expand:, %define component %(echo
     %{name} | sed "s;-portable;;g")
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 12994560 bytes in /usr/share
     See:
     https://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.2.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 9

java-latest-openjdk-portable-slowdebug.x86_64: E: summary-too-long OpenJDK 19 Runtime Environment portable edition unoptimised with full debugging on
java-latest-openjdk-portable-devel-slowdebug.x86_64: E: summary-too-long OpenJDK 19 Runtime and Development Environment portable edition unoptimised with full debugging on
java-latest-openjdk-portable-static-libs-fastdebug.x86_64: E: summary-too-long OpenJDK 19 libraries for static linking - portable edition optimised with full debugging on
java-latest-openjdk-portable-static-libs-slowdebug.x86_64: E: summary-too-long OpenJDK 19 libraries for static linking - portable edition unoptimised with full debugging on
java-latest-openjdk-portable-devel-fastdebug.x86_64: E: summary-too-long OpenJDK 19 Runtime and Development Environment portable edition optimised with full debugging on
java-latest-openjdk-portable-devel.x86_64: W: summary-ended-with-dot OpenJDK 19 Development Environment portable edition.
java-latest-openjdk-portable-static-libs.x86_64: W: summary-ended-with-dot OpenJDK 19 libraries for static linking - portable edition.
java-latest-openjdk-portable-devel.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-portable-slowdebug.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-portable-devel-slowdebug.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-portable-static-libs-fastdebug.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-portable-static-libs-slowdebug.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-portable.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-portable-devel-fastdebug.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-portable-static-libs.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-portable-fastdebug.x86_64: W: only-non-binary-in-usr-lib
java-latest-openjdk-portable-devel.x86_64: W: no-documentation
java-latest-openjdk-portable-slowdebug.x86_64: W: no-documentation
java-latest-openjdk-portable-devel-slowdebug.x86_64: W: no-documentation
java-latest-openjdk-portable.x86_64: W: no-documentation
java-latest-openjdk-portable-devel-fastdebug.x86_64: W: no-documentation
java-latest-openjdk-portable-fastdebug.x86_64: W: no-documentation
java-latest-openjdk-portable.x86_64: E: no-binary
java-latest-openjdk-portable-devel.x86_64: W: invalid-license-exception advertising
java-latest-openjdk-portable-slowdebug.x86_64: W: invalid-license-exception advertising
java-latest-openjdk-portable-devel-slowdebug.x86_64: W: invalid-license-exception advertising
java-latest-openjdk-portable-static-libs-fastdebug.x86_64: W: invalid-license-exception advertising
java-latest-openjdk-portable-static-libs-slowdebug.x86_64: W: invalid-license-exception advertising
java-latest-openjdk-portable.x86_64: W: invalid-license-exception advertising
java-latest-openjdk-portable-devel-fastdebug.x86_64: W: invalid-license-exception advertising
java-latest-openjdk-portable-static-libs.x86_64: W: invalid-license-exception advertising
java-latest-openjdk-portable-fastdebug.x86_64: W: invalid-license-exception advertising
java-latest-openjdk-portable.x86_64: W: incoherent-version-in-changelog 1:17.0.5.0.8-2 ['1:19.0.1.0.10-2.rolling.fc36', '1:19.0.1.0.10-2.rolling']
java-latest-openjdk-portable-devel.x86_64: E: files-duplicated-waste 229648
java-latest-openjdk-portable-slowdebug.x86_64: E: files-duplicated-waste 229648
java-latest-openjdk-portable-devel-slowdebug.x86_64: E: files-duplicated-waste 229648
java-latest-openjdk-portable-static-libs-fastdebug.x86_64: E: files-duplicated-waste 229648
java-latest-openjdk-portable-static-libs-slowdebug.x86_64: E: files-duplicated-waste 229648
java-latest-openjdk-portable.x86_64: E: files-duplicated-waste 229648
java-latest-openjdk-portable-devel-fastdebug.x86_64: E: files-duplicated-waste 229648
java-latest-openjdk-portable-static-libs.x86_64: E: files-duplicated-waste 229648
java-latest-openjdk-portable-fastdebug.x86_64: E: files-duplicated-waste 229648
java-latest-openjdk-portable-devel.x86_64: W: files-duplicate /usr/share/licenses/java-19-openjdk-19.0.1.0.10-2.rolling.fc36.portable.jdk.x86_64.tar.xz/legal/java.base/ADDITIONAL_LICENSE_INFO /usr/share/licenses/java-19-openjdk-19.0.1.0.10-2.rolling.fc36.portable.jdk.x86_64.tar.xz/java.base/ADDITIONAL_LICENSE_INFO
....coorect dupes
java-latest-openjdk-portable-fastdebug.x86_64: W: files-duplicate /usr/share/licenses/java-19-openjdk-19.0.1.0.10-2.rolling.fc36.portable.jdk.x86_64.tar.xz/legal/jdk.localedata/thaidict.md /usr/share/licenses/java-19-openjdk-19.0.1.0.10-2.rolling.fc36.portable.jdk.x86_64.tar.xz/jdk.localedata/thaidict.md
java-latest-openjdk-portable-slowdebug.x86_64: E: description-line-too-long This package is unoptimised with full debugging. Install only as needed and remove ASAP.
java-latest-openjdk-portable-devel-slowdebug.x86_64: E: description-line-too-long This package is unoptimised with full debugging. Install only as needed and remove ASAP.
java-latest-openjdk-portable-static-libs-fastdebug.x86_64: E: description-line-too-long This package is optimised with full debugging. Install only as needed and remove ASAP.
java-latest-openjdk-portable-static-libs-slowdebug.x86_64: E: description-line-too-long This package is unoptimised with full debugging. Install only as needed and remove ASAP.
java-latest-openjdk-portable-devel-fastdebug.x86_64: E: description-line-too-long This package is optimised with full debugging. Install only as needed and remove ASAP.
java-latest-openjdk-portable-fastdebug.x86_64: E: description-line-too-long This package is optimised with full debugging. Install only as needed and remove ASAP.
 9 packages and 0 specfiles checked; 21 errors, 342 warnings, 21 badness; has taken 2.5 s 



Requires
--------
java-latest-openjdk-portable (rpmlib, GLIBC filtered):

java-latest-openjdk-portable-slowdebug (rpmlib, GLIBC filtered):

java-latest-openjdk-portable-fastdebug (rpmlib, GLIBC filtered):

java-latest-openjdk-portable-devel (rpmlib, GLIBC filtered):

java-latest-openjdk-portable-devel-slowdebug (rpmlib, GLIBC filtered):

java-latest-openjdk-portable-devel-fastdebug (rpmlib, GLIBC filtered):

java-latest-openjdk-portable-static-libs (rpmlib, GLIBC filtered):

java-latest-openjdk-portable-static-libs-slowdebug (rpmlib, GLIBC filtered):

java-latest-openjdk-portable-static-libs-fastdebug (rpmlib, GLIBC filtered):



Provides
--------
java-latest-openjdk-portable:
    bundled(freetype)
    bundled(giflib)
    bundled(harfbuzz)
    bundled(lcms2)
    bundled(libjpeg)
    bundled(libpng)
    java-latest-openjdk-portable
    java-latest-openjdk-portable(x86-64)

java-latest-openjdk-portable-slowdebug:
    java-latest-openjdk-portable-slowdebug
    java-latest-openjdk-portable-slowdebug(x86-64)

java-latest-openjdk-portable-fastdebug:
    java-latest-openjdk-portable-fastdebug
    java-latest-openjdk-portable-fastdebug(x86-64)

java-latest-openjdk-portable-devel:
    java-latest-openjdk-portable-devel
    java-latest-openjdk-portable-devel(x86-64)

java-latest-openjdk-portable-devel-slowdebug:
    java-latest-openjdk-portable-devel-slowdebug
    java-latest-openjdk-portable-devel-slowdebug(x86-64)

java-latest-openjdk-portable-devel-fastdebug:
    java-latest-openjdk-portable-devel-fastdebug
    java-latest-openjdk-portable-devel-fastdebug(x86-64)

java-latest-openjdk-portable-static-libs:
    java-latest-openjdk-portable-static-libs
    java-latest-openjdk-portable-static-libs(x86-64)

java-latest-openjdk-portable-static-libs-slowdebug:
    java-latest-openjdk-portable-static-libs-slowdebug
    java-latest-openjdk-portable-static-libs-slowdebug(x86-64)

java-latest-openjdk-portable-static-libs-fastdebug:
    java-latest-openjdk-portable-static-libs-fastdebug
    java-latest-openjdk-portable-static-libs-fastdebug(x86-64)



Diff spec file in url and in SRPM
---------------------------------
--- /home/jvanek/2141740-java-latest-openjdk-portable/srpm/java-latest-openjdk-portable.spec	2022-12-06 15:11:58.775803909 +0100
+++ /home/jvanek/2141740-java-latest-openjdk-portable/srpm-unpacked/java-latest-openjdk-portable.spec	2022-12-01 20:47:56.000000000 +0100
@@ -1707,5 +1707,5 @@
 
 %changelog
-* Thu Dec 01 2022 Petra Alice Mikova <pmikova> - 1:19.0.1.0.10-2.rolling
+* Mon Oct 31 2022 Jiri Vanek <jvanek> - 1:17.0.5.0.8-2
 - initial import
 


Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2141740 -m fedora-36-x86_64
Buildroot used: fedora-36-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: R, Perl, Ocaml, PHP, Python, Java, fonts, SugarActivity, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH



manual highlights:
 - verify     Note: Directories without known owners: /usr/lib/jvm
   - should be javapackages-tools
 - please fix specfile per diff above, dont forget to remove the FIXME rhel pramble
 - [!]: Large data in /usr/share should live in a noarch subpackage if package is arched.  Note: Arch-ed rpms have a total of 12994560 bytes in /usr/share
    - Pls double check. I have somehwo failed to lcoate the cause of this issue
- pls check "W: invalid-license-exception advertising"
- pls fix W: summary-ended-with-dot
- pls adjsut description as per java-17-openjdk-portable
- somethig to hink aout - provide the undled lib? or rather not...
- pls elaborate o the repo

Comment 7 jiri vanek 2022-12-07 11:06:48 UTC
Pls, try to do above chages as separate commit(s) so tey can be backported to 17.

Comment 8 Petra Alice Mikova 2022-12-07 13:32:40 UTC
https://src.fedoraproject.org/fork/pmikova/rpms/java-latest-openjdk/tree/rawhide-portable (branch without the changes)

Will do more commits soon.

Comment 9 Petra Alice Mikova 2022-12-08 11:10:32 UTC
Spec URL: https://pmikova.fedorapeople.org/java-latest-openjdk-portable/v3/java-latest-openjdk-portable.spec
SRPM URL: https://pmikova.fedorapeople.org/java-latest-openjdk-portable/v3/java-latest-openjdk-portable-19.0.1.0.10-2.rolling.fc38.src.rpm
Description: portable, reusable tarballs of OpenJDK
Fedora Account System Username: pmikova

Comment 10 jiri vanek 2022-12-08 12:12:51 UTC
approved. ty

Comment 11 Gwyn Ciesla 2022-12-08 15:16:57 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/java-latest-openjdk-portable

Comment 12 Package Review 2023-11-25 17:06:55 UTC
Package is now in repositories, closing review.